#include<bits/stdc++.h>
using namespace std;
std::pair<int, int> find_locmin_point(int N, int M){
    vector<vector<ll>>a(N,vector<ll>(M));
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            a[i][j]=value(i+1,j+1);
        }
    }
    for(int i=0;i<N;i++){
        for(int j=0;j<M;j++){
            bool flag=1;
            if(i)if(a[i-1][j]<=a[i][j])flag=0;
            if(j)if(a[i][j-1]<=a[i][j])flag=0;
            if(i!=N-1)if(a[i+1][j]<=a[i][j])flag=0;
            if(j!=M-1)if(a[i][j+1]<=a[i][j])flag=0;
            if(flag==1){
                pair<ll,ll>ans;
                ans.first=i+1;
                ans.second=j+1;
                return ans;
            }
        }
    }
}